package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.haoban.manage.service.entity.TabHaobanBatchAuditLog;

public interface TabHaobanBatchAuditLogMapper {
    int deleteByPrimaryKey(String batchAuditLogId);

    int insert(TabHaobanBatchAuditLog record);

    int insertSelective(TabHaobanBatchAuditLog record);

    TabHaobanBatchAuditLog selectByPrimaryKey(String batchAuditLogId);

    int updateByPrimaryKeySelective(TabHaobanBatchAuditLog record);

    int updateByPrimaryKey(TabHaobanBatchAuditLog record);
    
    List<TabHaobanBatchAuditLog> listByBatchId(String batchId);
}